Jump to content
InfoFile
Tác giả: Tue_NV
Bài viết gốc: 119362
Tên lệnh: cte
chuyển số liệu text từ cad sang excell


Sao bạn không upload file sớm để khỏi mất thời gian không?
Của bạn đây :

Có lẽ nên viết 1 dialog cho user có thêm lựa chọn
Tue_Nv với thời gian bận rộn bây giờ có muốn viết nhưng cũng không được
Chúc bạn vui.

Filename: 119362_cte.lsp
Tác giả: Doan Van Ha
Bài viết gốc: 184520
Tên lệnh: ha
3 lisp vẻ hcn, in text, và cộng giá trị text


Về vấn đề này, có lẽ bạn ấy muốn như vầy chăng?

Filename: 184520_ha.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 118398
Tên lệnh: tkqh
Viết lisp theo yêu cầu [phần 2]


Hề hề hề,
Bạn dùng tạm cái này coi sao. Việc cắt râu có nhẽ phải tự làm tay , đặc biệt là ở các góc không vuông. Lisp này chỉ nối các khoảng hở nhỏ hơn 1 vì trong các thửa đất của bạn có thửa chỉ rộng 1,8 nên nếu cho phép nối khe hở lớn hơn có thể dẫn tới mất đi một số thửa bạn ạ. Nó cũng cho phép cắt râu ngắn hơn 1 ở các giao điểm chữ T, nhưng ở các góc chữ...
>>

Hề hề hề,
Bạn dùng tạm cái này coi sao. Việc cắt râu có nhẽ phải tự làm tay , đặc biệt là ở các góc không vuông. Lisp này chỉ nối các khoảng hở nhỏ hơn 1 vì trong các thửa đất của bạn có thửa chỉ rộng 1,8 nên nếu cho phép nối khe hở lớn hơn có thể dẫn tới mất đi một số thửa bạn ạ. Nó cũng cho phép cắt râu ngắn hơn 1 ở các giao điểm chữ T, nhưng ở các góc chữ L thì chỉ cắt được khi là góc vuông thôi bạn nhé.
Bạn có thể chọn số thửa cần lấy diện tích bằng cách pick vào các text số thửa theo ý của bạn khi lisp yêu cần bạn chọn số thửa cần ghi diện tích. Kết quả sẽ xuất sang file excel đúng những thứ bạn cần.

Hy vọng nó sẽ có ích cho bạn phần nào...
<<

Filename: 118398_tkqh.lsp
Tác giả: ketxu
Bài viết gốc: 184546
Tên lệnh: test
Vẽ HCN Isometric



- Vẽ HCN nghiêng từ 3 điểm
- Phiên bản Dynamic

Filename: 184546_test.lsp
Tác giả: ketxu
Bài viết gốc: 184546
Tên lệnh: test1
Vẽ HCN Isometric


- Vẽ HCN nghiêng từ 3 điểm
- Phiên bản tĩnh

Filename: 184546_test1.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 119326
Tên lệnh: comtxt
Viết lisp theo yêu cầu [phần 2]

Lisp nối text của bạn đây:


Chú ý: lisp này mình cho đổi màu các text đã được nối để bạn dễ kiểm tra xem có bị sót hay không. Nếu không cần bạn hãy xóa cái dòng code này đi nhé.
els1 (cons (cons 62 3) els1) hoặc thêm vào phía trước dòng code dăm cái dấu ; bạn nhé.

Filename: 119326_comtxt.lsp
Tác giả: hugo75
Bài viết gốc: 120294
Tên lệnh: gct
Viết lisp theo yêu cầu [phần 2]
Tiện thể nhờ các bác giúp giùm e 1 cái nửa.E có 1lisp ghi chú :Điểm click đầu tiên sẽ 1 mũi tên,e muốn nhờ các bác sửa giùm khi click điểm đầu tiên sẽ là 1 vòng tròn có đường kính 200 thay cho mũi tên và vòng tròn này với các đường thẳng sẽ là 1 giống như polyline đồng thời gán giùm e vòng tròn ký hiệu số là 1 block ATT vì e vẫn chưa hiểu hết về tạo block ATT trong lisp.Thanks.

Filename: 120294_gct.lsp
Tác giả: phamngoctukts
Bài viết gốc: 120505
Tên lệnh: gct
Viết lisp theo yêu cầu [phần 2]

Chào bạn hugo75!
Bạn đã nghe câu này chưa "Đợi chờ là hanh phúc" đó bạn. Chưa gì bạn đã kêu rồi sẽ đến lượt bạn.

Filename: 120505_gct.lsp
Tác giả: hdt4151
Bài viết gốc: 122558
Tên lệnh: tdd
Viết lisp theo yêu cầu [phần 2]
Các bạn giúp mình viết 1 lisp này nhé, trong file cad có các đường line và polyline, break line va polyline tại giao điểm, xuất ra tọa độ của tất cả các điểm có trong hình (điểm đầu, cuối của các line, polyline sau khi break - xóa các điểm trùng nhau).

Trước đó đã có lisp tdd.lsp (xác định tọa độ các đa giác) cũng gần giống với yêu cầu trên nhưng do trình độ có hạn mình vẫn chưa...
>>
Các bạn giúp mình viết 1 lisp này nhé, trong file cad có các đường line và polyline, break line va polyline tại giao điểm, xuất ra tọa độ của tất cả các điểm có trong hình (điểm đầu, cuối của các line, polyline sau khi break - xóa các điểm trùng nhau).

Trước đó đã có lisp tdd.lsp (xác định tọa độ các đa giác) cũng gần giống với yêu cầu trên nhưng do trình độ có hạn mình vẫn chưa thể chỉnh sửa lại cho phù hợp với yêu cầu trên ....


<<

Filename: 122558_tdd.lsp
Tác giả: NguyenNdait
Bài viết gốc: 122725
Tên lệnh: chu so
Viết lisp theo yêu cầu [phần 2]

Cái file bạn gởi không có cái text nào cả mà.
Nhưng thử dùng cái này xem sao nhé :

Filename: 122725_chu_so.lsp
Tác giả: ketxu
Bài viết gốc: 123217
Tên lệnh: lock ulock rlock
Khóa và mở khóa Layer

- lock : khoá layer(s) các đối tượng chọn
- ulock : mở khoá layer(s) các đối tượng chọn
- rlock : khoá tất cả,trừ layer(s)các đối tượng chọn

Filename: 123217_lock_ulock_rlock.lsp
Tác giả: hdg2318
Bài viết gốc: 101831
Tên lệnh: lj linejoin
Nối hai line không liền với nhau thành 1 line
ý bạn là 1 đường dã bị break thành 2 đoạn, giờ bạn muốn nối nó lại???


bạn thử dùng lisp trên xem sao.

Filename: 101831_lj_linejoin.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 184611
Tên lệnh: getpr
HỎI>Cách xuất tọa độ file cad sang text

Hề hề hề,
Chả biết cái bạn cần có giống cái này không??? Song do bạn trình bày hơi ..... tiết kiệm nên mình chỉ có thể đoán mò, Trúng thì là hên xui, trật thì là cái để bạn có thể rút kinh nghiệm trình bày sao cho người đọc khỏi phải ..... mò.

Cái này mình cóp pi, nhặt mót của các bác trên diễn đàn, mỗi người một tí, rồi ghép lại để bạn xài tạm. Tuy chưa...
>>

Hề hề hề,
Chả biết cái bạn cần có giống cái này không??? Song do bạn trình bày hơi ..... tiết kiệm nên mình chỉ có thể đoán mò, Trúng thì là hên xui, trật thì là cái để bạn có thể rút kinh nghiệm trình bày sao cho người đọc khỏi phải ..... mò.

Cái này mình cóp pi, nhặt mót của các bác trên diễn đàn, mỗi người một tí, rồi ghép lại để bạn xài tạm. Tuy chưa được ngay ngắn lắm, nhưng thôi thì của nhà trồng được, bạn hẵng xơi tạm cho đỡ nóng ruột nhé.
Hề hề hề,..
<<

Filename: 184611_getpr.lsp
Tác giả: hochoaivandot
Bài viết gốc: 136321
Tên lệnh: ad
Viết lisp theo yêu cầu [phần 2]



Tôi không biết cách đặt chiều cao text của dimension trực tiếp bằng lisp.Chi biết phải đặt trong dimstyle thôi. Anh nào biết chỉ dùm với.
Làm thủ công thì dùng lênh DDEDIT hay vào property sửa. Nếu làm thủ công đc thì lisp phải làm được các anh nhỉ?
Còn yêu cầu chuyển dấu chấm thành dấu phẩy thì kamezoko có thể dùng tạm cái này.

Filename: 136321_ad.lsp
Tác giả: tomboy
Bài viết gốc: 139781
Tên lệnh: xyzo
Viết lisp theo yêu cầu [phần 2]

mình thêm vào cho ban lựa chọn Độ chính xác, Khi chạy chương trình nó sẽ đưa ra 1 hộp thoại cho phép bạn chọn hay không chọn độ chính xác. Sau khi bạn thiết lập các lựa chọn xong, bạn có thể tắt hộp thoại này cho đến khi bạn mở bản vẽ lần sau.

Filename: 139781_xyzo.lsp
Tác giả: duy782006
Bài viết gốc: 184666
Tên lệnh: poc
Chèn điểm B trên Polyline cách B một đoạn cho trước!

Đây là đoạn lisp của bác SSg mình post cho bạn vì kiếm hơi mệt.

(defun C:POC( / c p1 oldos ph k d1 dh p2) ;;;Point On Curve
(vl-load-com)
(setq
c (car (entsel "\nChon curve:"))
p1 (getpoint "\nDiem chuan tren curve:")
oldos (getvar "osmode")
)
(entmake (list (cons 0 "POINT") (cons 10 p1)))
(setvar "osmode" 512)
(setvar "pdmode" 34)
>>

Đây là đoạn lisp của bác SSg mình post cho bạn vì kiếm hơi mệt.

(defun C:POC( / c p1 oldos ph k d1 dh p2) ;;;Point On Curve
(vl-load-com)
(setq
c (car (entsel "\nChon curve:"))
p1 (getpoint "\nDiem chuan tren curve:")
oldos (getvar "osmode")
)
(entmake (list (cons 0 "POINT") (cons 10 p1)))
(setvar "osmode" 512)
(setvar "pdmode" 34)
(setq
ph (getpoint p1 "\nDiem dinh huong tren curve:")
k (getreal "\nKhoang cach:")
d1 (vlax-curve-getDistAtPoint c p1)
dh (vlax-curve-getDistAtPoint c ph)
)
(if (> dh d1) (setq d2 (+ d1 k)) (setq d2 (- d1 k)))
(setq p2 (vlax-curve-getPointAtDist c d2))
(entmake (list (cons 0 "POINT") (cons 10 p2)))
(setvar "osmode" oldos)
(princ)
)

<<

Filename: 184666_poc.lsp
Tác giả: hantinh
Bài viết gốc: 184004
Tên lệnh: ob odj
nhờ các cao thủ viết hộ cái lsp mir-tag ghi chú thép trong ASD
hiện tại mình đang bị vướng mắc khi viết lsp để mir thằng này. viết mãi mà hok thành công. dù có người đã chi đường đi rồi nhưng làm vẫn hok có được. Hik. Viết rồi nhưng mà nó hok có chạy.

Còn đây là gợi ý của cao thủ đó:


T&#7853;p 1 : b&#237; danh l&#224; g&#236;?
Command: LIST
Select objects:
RBCRENBARSHAPEDESC (t&#234;n &#273;&#7889;i...
>>
hiện tại mình đang bị vướng mắc khi viết lsp để mir thằng này. viết mãi mà hok thành công. dù có người đã chi đường đi rồi nhưng làm vẫn hok có được. Hik. Viết rồi nhưng mà nó hok có chạy.

Còn đây là gợi ý của cao thủ đó:


T&#7853;p 1 : b&#237; danh l&#224; g&#236;?
Command: LIST
Select objects:
RBCRENBARSHAPEDESC (t&#234;n &#273;&#7889;i t&#432;&#7907;ng)
Layer: "AutoCAD_Structural_Detailing_Description of bar shape" (l&#7899;p ch&#432;a &#273;&#7889;i t&#432;&#7907;ng)
Space: Model space
Handle = bb74
Group = REVITGROUP

... "M&#417; c&#361;ng th&#7845;y m&#7901; m&#7901;..."

Truy t&#236;m &#273;&#7889;i t&#432;&#7907;ng, lisp cho n&#243; m&#7845;y d&#242;ng
(defun C:Ob (/ ename ename1 ename2)
(setq ename (entsel "\n Chon doi tuong :")
ename1 (car ename)
ename2 (entget ename1)
)
)

v&#224; k&#7871;t qu&#7843; tr&#7843; v&#7873; c&#7911;a lisp
(
(-1 . <Entity name: 7ec46f20>)
(0 ."RBCRENBARSHAPEDESC")
(5 . "BB74")
(102 . "{ACAD_REACTORS")
(330 . <Entity name: 7ec46fb0>)
(102 . "}")
(330 . <Entity name: 7ec41cf8>)
(100 ."AcDbEntity")
(67 . 0)
(410 . "Model")
(8 ."AutoCAD_Structural_Detailing_Description of bar shape")
(100 . "RbcrEntity")
(90 . 1)
(340 . <Entity name: 7ec46f18>)
(100 . "REPREZENTATION")
(90 . 1)
(1 ."RBCR_DEFAULT")
(100 . "REPREZENTATION")
(90 . 1)
(1 . "RBCR_DEFAULT")
(100 ."REPREZENTATION")
(90 . 1)
(1 . "RBCR_EDIT")
(100 . "RbcrObjectClientEntity")
(90 . 1)
(100 . "RbcrEnDescription")
(90 . 1)
(100 . "RbcrEnBarDescBase")
(90 .1)
(100 . "RbcrEnBarShapeDesc")
(90 . 1)
)

... "D&#7919; li&#7879;u n&#224;o c&#7847;n t&#237;m? X&#7917; l&#253; n&#243; ra sao? ..."

Truy ti&#7871;o b&#7857;ng Dictionaries

(defun C:Odj (/ maindict adict Db) ;
(setq maindict (namedobjdict))
(while
(setq adict (dictnext maindict (not adict)))
(princ (cdr (assoc -1 adict)))
(if
(not (cdr (assoc 0 adict)))
(setq db "Unknown")
(setq db (cdr (assoc 0 adict)))
)
(princ (strcat "\t(type = " Db ")\n"))
)
(princ)
)

V&#224; k&#7871;t qu&#7843; ph&#7843;n h&#7891;i :

< Entity name: 7ec4ac68> (type = DICTIONARY)
< Entity name: 7ec4acd0> (type = DICTIONARY)
< Entity name: 7ec49c00> (type = DICTIONARY)
< Entity name: 7ec49df8> (type = DICTIONARY)
< Entity name: 7ec4acb8> (type = DICTIONARY)
< Entity name: 7ec4acc8> (type = DICTIONARY)
< Entity name: 7ec4ac70> (type = ACDBDICTIONARYWDFLT)
< Entity name: 7ec49d68> (type = DICTIONARY)
< Entity name: 7ec49d58> (type = DICTIONARY)
< Entity name: 7ec49cc8> (type = DICTIONARY)
< Entity name: 7ec4af30> (type = DICTIONARY)
< Entity name: 7ec49918> (type = RBCSCRSECDICTIONARY)
< Entity name: 7ec498b8> (type = RBCSMATERIALDICTIONARY)
< Entity name: 7ec4ad78> (type = ___RBCTMainRootDictionary)
< Entity name: 7ec10ce8> (type = Unknown)
< Entity name: 7ec49328> (type = RBCTALTERNATIVESTORAGE)
< Entity name: 7ec10198> (type = Unknown)
< Entity name: 7ec10cf0> (type = DICTIONARY)
< Entity name: 7ec498d0> (type = DICTIONARY)
< Entity name: 7ec49598> (type = Unknown)

... "R&#7889;i r&#7889; r&#7889;i, b&#7903;i d&#7919; li&#7879;u ..."

b&#237; danh n&#243; &#273;&#226;y:
(340 . <Entity name: 7ec46f18>)

;=====================================================

T&#7853;p 2 : D&#7845;u v&#7871;t mong manh

Sau khi c&#243; t&#234;n &#273;&#7889;i t&#432;&#7907;ng, gi&#7901; l&#224; l&#250;c truy t&#236;m l&#253; l&#7883;ch c&#7911;a n&#243;
ch&#232;n th&#234;m 2 d&#242;ng m&#227; v&#224;o ch&#432;&#417;ng tr&#236;nh tr&#234;n

ename3 (cdr (assoc 340 ename2))
ename4 (entget ename3)


v&#224; truy v&#7845;n l&#253; l&#7883;ch c&#7911;a n&#243;, ta &#273;&#432;&#7907;c s&#7889; li&#7879;u sau :

(
(-1 . <Entity name: 7ec42f18>)
(0 ."RBCRREBARSHAPEDESC")
(5 . "BB73")
(102 . "{ACAD_REACTORS")
(330 . <Entity name: 7ec49770>)
(102 . "}")
(330 . <Entity name: 7ec49770>)
(100 ."RbcrObject")
(90 . 4)
(100 . "LONG")
(90 . 1)
(90 . 0) (100 ."ENTITYSOFTPOINTER")
(90 . 1)
(330 . <Entity name: 0>)
(100 ."ENTITYSOFTPOINTER")
(90 . 1)
(90 . 0)
(100 . "STATUS_ATTR")
(90 . 1)
(90 . 0)
(100 . "RbcrReDescription")
(90 . 2)
(340 . <Entity name: 7ec42f10>)
(100 ."SCALE")
(90 . 1)
(40 . 0.05)
(70 . 1)
(100 . "RbcrReCompoundTablet")
(90 . 1)
(100 . "RbcrObjectVectorClient")
(90 . 1)
(70 . 1)
(100 ."RbcrObjectPointerLink")
(90 . 1)
(340 . <Entity name: 7ec42f08>)
(100 ."SOFTPOINTER")
(90 . 1)
(330 . <Entity name: 7ec42ef0>)
(100 ."RbcrReBarDescBase")
(90 . 2)
(70 . 3)
(100 . "POINT3D")
(90 . 1)
(10 792.5 634.0 0.0) 'point 01
(100 . "POINT3D")
(90 . 1)
(10 792.5 725.806 0.0) 'point 02
(100 . "POINT3D")
(90 . 1)
(10 992.5 725.806 0.0) 'point 03
(100 . "LONG")
(90 . 1) (90 . 1)
(100 ."DOUBLE")
(90 . 1)
(40 . 0.0)
(100 . "RbcrReBarShapeDesc")
(90 . 3)
(0 ."RBCRDESCSHAPEBAR")
(100 . "RbctBaseStyle")
(90 . 1)
(1 . "Style_1")
(100 ."RbcrDescShapeBar")
(90 . 2)
(100 . "STYLDESC_POS")
(90 . 2)
(40 . 5.0)
(41 .2.5)
(1 . "style1")
(90 . 0)
(91 . 0)
(92 . 0)
(93 . 0)
(94 . 2)
(100 . "STYLDESC_TEXT")
(90 . 2)
(40 . 2.5)
(41 . 1.0)
(42 . 0.0)
(1 . "style1")
(90 . 2)
(100 . "STYLDESC_ADDLINE")
(90 . 1)
(40 . 2.0)
(90 . 3)
(91 . 0)
(1 . "")
(100 . "STYLDESC_REINSHAPE")
(90 . 3)
(40 . 2.5)
(41 . 2.5)
(90 . 0)
(91 . 0)
(100 . "STYLDESC_ELEM")
(90 . 7)
(90 . 1)
(91 . 0)
(92 . 1)
(93 . 0)
(94 . 0)
(95 . 0)
(96 . 0)
(97 . 0)
(98 . 0)
(99 . 0)
(100 . "")
(101 . "")
(1 ."{%num}{%%c}{%dia}") ' c&#225;i n&#224;y quen qu&#225; ph&#7843;i kh&#244;ng http://arttool.vn/images/smilies/biggrin.gif
(100 . "BARTRACE")
(90 . 1)
(90 . 1)
(100 . "LONG")
(90 . 1)
(90 . 0)
)
http://arttool.vn/images/error.gif This image has been resized. Click this bar to view the full image.
http://upload.arttool.vn/images/seal01.jpg

n&#243; &#273;&#226;y :

(10 792.5 634.0 0.0)
(10 792.5 725.806 0.0)
(10 992.5 725.806 0.0)

T&#7853;p 3 : L&#7897; g&#243;t Achilles
&#272;i&#7873;u c&#7847;n &#273;&#227; l&#7897; ra 3 point &#273;&#432;&#7907;c x&#225;c &#273;&#7883;nh b&#7903;i c&#225;c th&#244;ng s&#7889;

(10 792.5 634.0 0.0)
(10 792.5 725.806 0.0)
(10 992.5 725.806 0.0)

Gi&#7901; ch&#7881; c&#242;n vi&#7879;c l&#234;n pa truy b&#7855;t v&#224; x&#7917; l&#253; obiect

1- Style reinforcement Description text appearance chuy&#7875;n sang d&#7841;ng placed between

2- B&#7855;t ch&#237;nh x&#225;c object c&#243; ch&#7885;n l&#7885;c
=> b&#7857;ng c&#7863;p (0 . "RBCRENBARSHAPEDESC")

3- L&#7885;c v&#224; s&#7917; l&#253; p3 tr&#432;&#7899;c
=>p3 (nth 50 ename3)

4- T&#7841;o p4 l&#224; &#7843;nh c&#7911;a p3 qua tr&#7909;c p1,p2
(if (> x3 x2)
(setq x4 (- x2 kcach))
(setq x4 (+ x2 kcach))
)

5- C&#224;i v&#224;o c&#417; s&#7903; d&#7919; li&#7879;u p3 th&#224;nh p4
=>ename5 (subst p4 p3 ename4)

6- Ho&#224;n thi&#7879;n d&#7919; li&#7879;u tr&#234;n
=>ename1 (append enam1 neame5)

7- Update datbase
=>(entmod ename1)

8- Thu d&#7885;n hi&#7879;n tr&#432;&#7901;ng
Miror (0 ."RBCRREBARSHAPEDESC") qua tr&#7909;c p1-p2

9- Ch&#244;n trong l&#242;ng bi&#7875;n (M&#227; h&#243;a d&#7919; li&#7879;u lsp)

<<

Filename: 184004_ob_odj.lsp
Tác giả: hugo007
Bài viết gốc: 153661
Tên lệnh: et
Viết lisp theo yêu cầu [phần 2]
Đây là đoạn lisp chuyển text về text style doifont,nhờ các bác thêm chức năng cho chuyển thêm mtext giùm e.Thanks.

Filename: 153661_et.lsp
Tác giả: hantinh
Bài viết gốc: 184733
Tên lệnh: ccb
nhờ các cao thủ viết hộ cái lsp mir-tag ghi chú thép trong ASD
mình viết lại như thế này cho nó dễ xem. các bạn cho ý kiến nhé để mình hoàn thiện lsp. rồi sau đó có thể thay đổi cái hàm chọn để chọn được nhiều đối tượng.

(Defun C:ccb (/ ename ename1 ename2 ename3 ename4 ename5
x1 x2 x3 x4 p1 p2 p3 p4 y1 y2 y3 y4)
(setq ename (entsel "Chon doi tuong:")
ename1 (car ename)
ename2 (entget ename1)
ename3 (cdr (assoc 340 ename2))
...
>>
mình viết lại như thế này cho nó dễ xem. các bạn cho ý kiến nhé để mình hoàn thiện lsp. rồi sau đó có thể thay đổi cái hàm chọn để chọn được nhiều đối tượng.

(Defun C:ccb (/ ename ename1 ename2 ename3 ename4 ename5
x1 x2 x3 x4 p1 p2 p3 p4 y1 y2 y3 y4)
(setq ename (entsel "Chon doi tuong:")
ename1 (car ename)
ename2 (entget ename1)
ename3 (cdr (assoc 340 ename2))
ename4 (entget ename3)
)
(ssget
'((-4 . "<or")
(0 . "RBCRENBARSHAPEDESC")
(0 . "RBCR_ENDE_BARDDESC")
(-4 . "or>")
)
)
(setq p3 (nth 50 ename3))
(setq p2 (nth 47 ename3))
(setq p1 (nth 44 ename3))
(setq x1 (cadr (nth 44 ename3)))
(setq x2 (cadr (nth 47 ename3)))
(setq x3 (cadr (nth 50 ename3)))
(if (> x3 x2)
(setq x4 (- x2 kcach))
(setq x4 (+ x2 kcach))
)
;khai bao bien kcach or gan bien kcach bang cai (x2+x3)/2
(setq ename5 (subst p4 p3 ename4))
(setq ename1 (append ename1 ename5));end setq
(entmod ename1)
(command: "_.mirror" ss "")
; phai khai bao bien ss de co the mir, c&#243; the khai bao no bang ename1 sau khi da dung ham entmod
(princ)
);end program

<<

Filename: 184733_ccb.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 154736
Tên lệnh: chgev
Viết lisp theo yêu cầu [phần 2]

Hề hề hề,
Sở dĩ mình làm vầy là vì muốn sử dụng một vùng chọn cho cả hai tập đối tượng là tập psl và tsl bác Duy ạ. Như vậy sẽ hạn chế bớt được các đối tượng ngoại lai do hai vùng chọn khác nhau.
Cũng vì hai tập chọn này khác nhau nên không dùng với tham số p được.
Nếu muốn sử dụng như bác gợi ý thì sẽ phải làm thành ba tập chọn. Tập chọn thứ nhất...
>>

Hề hề hề,
Sở dĩ mình làm vầy là vì muốn sử dụng một vùng chọn cho cả hai tập đối tượng là tập psl và tsl bác Duy ạ. Như vậy sẽ hạn chế bớt được các đối tượng ngoại lai do hai vùng chọn khác nhau.
Cũng vì hai tập chọn này khác nhau nên không dùng với tham số p được.
Nếu muốn sử dụng như bác gợi ý thì sẽ phải làm thành ba tập chọn. Tập chọn thứ nhất là tất cả các đối tượng trong vùng chọn, tập chọn thứ hai là tập chọn chỉ gồm các point có trong tập chọn thứ nhất, tập chọn thứ 3 chỉ gồm các text trong tập chọn thứ nhất. Và các bước kế tiếp sẽ áp dụng với tập chọn thứ hai và tập chọn thứ ba bác nhể.
Để lisp chạy mát ga hơn, nhất là trong trường hợp vùng chọn lớn và số đối tượng cực nhiều thì mình đang nghĩ tới giải pháp lấy tập chọn tsl tùy theo mỗi point thuộc tập psl bác ạ. Như vậy lisp sẽ phóng một phát từ Sài gòn ra Quảng ngãi trong vài giây bác hỉ????
Hề hề hề,....
Bác thử xem cái ni mình đã sửa lại theo ý trên:

<<

Filename: 154736_chgev.lsp

Trang 68/304

68